<?php
    $archivos = array("finarvo.jpg", "delarra.jpg", "deldiga.jpg","delcorvo.jpg","delcorna.jpg","fincorga.jpg","delņacu.jpg","finņana.jpg","delņaga.jpg","budivo.jpg","bullana.jpg","buharmi.jpg","bucorvo.jpg","buzona.jpg","bucoriga.jpg","buņavo.jpg","buņana.jpg","buhaņor.jpg","lobarcu.jpg","lobillana.jpg","bollaga.jpg","lozovo.jpg","locorra.jpg","bozona.jpg","boņavo.jpg","loņana.jpg","lobarga.jpg");
    $f = $_GET["f"];
    if(strpos($f,"/")!==false){
        die("No puedes navegar por otros directorios");
    }
    if(!in_array($f,$archivos)){
        die("<b>ERROR!</b> no es posible descargar $f");
    }
    header("Content-type: application/octet-stream");
    header("Content-Disposition: attachment; filename=\"$f\"\n");
    $fp=fopen("$f", "r");
    fpassthru($fp);
?>